# Get project suppression requests

Returns the suppression requests related to the project

Endpoint: GET /api/v3.0/orgs/{orgUuid}/projects/{projectUuid}/approvalRequests
Version: 3.0
Security: bearer-key

## Path parameters:

  - `projectUuid` (string, required)
    UUID of the project

## Response 200 fields (application/json):

  - `additionalData` (object)
    + totalItems: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)

  - `response.name` (string)

  - `response.projectUuid` (string)

  - `response.projectName` (string)

  - `response.applicationUuid` (string)

  - `response.applicationName` (string)

  - `response.engine` (string, required)
    Type of engine the suppression request relates to
    Enum: "UNIFIED", "SCA", "SAST", "IAC", "IMG", "AI", "DAST"

  - `response.findingUuid` (string)

  - `response.findingCWE` (string)

  - `response.findingOrigin` (string)

  - `response.findingSeverity` (string)
    Severity of the element requested for approval. Can be one of: LOW, MEDIUM, HIGH, CRITICAL
    Enum: "LOW", "MEDIUM", "HIGH", "CRITICAL", "LOW", "MEDIUM", "HIGH", "CRITICAL"

  - `response.findingDetectionDate` (string)

  - `response.branchType` (string, required)
    Type of branch
    Enum: "BASE", "FEATURE", "BASE", "FEATURE"

  - `response.scanUuid` (string)

  - `response.externalUser` (string)
    External/repository user identifier
    Example: "username"

  - `response.repoIssueId` (string)
    Identifier of a corresponding repository issue of the element requested for suppression approval.
    Example: "1"

  - `response.reason` (string)

  - `response.state` (string, required)
    State of suppression request
    Enum: "PENDING", "APPROVED", "REJECTED", "REQUESTED_INFO", "PENDING", "APPROVED", "REJECTED"

  - `response.responseDate` (string)

  - `response.createdAt` (string)

  - `response.createdBy` (string)

  - `response.updatedBy` (string)

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


